from encryption import (
        lecture,
        nettoyage,
        chiffrement_decalage,
        chiffrement_substitution
        )

def test1():
   print(lecture("test.txt"))

def test2():
   print(nettoyage("     this is a TestsS  "))

def test3():
   print(chiffrement_decalage("blablabla", -42))

def test4():
    print(chiffrement_substitution("blablabla", {'a': 'b', 'b': 'd'}))

if __name__ == "__main__":
    # test1()
    # test2()
    # test3()
    test4()
